For the complete documentation index, see llms.txt. This page is also available as Markdown.

Build deposit transaction

Build deposit transaction

post

Build deposit transaction

Authorizations
Header parameters
X-API-KEYstringRequired

API Key

Body
Responses
200

OK

application/json
tx_hexstringOptionalExample: 84a400818258203b40265111d8bb3c3c608d95b3a0bf83461ace32d79336579a1939b3aad1c0b700018182583900...
post/accounts/deposit/build
POST /accounts/deposit/build HTTP/1.1
X-API-KEY: text
Content-Type: application/json
Accept: */*
Content-Length: 270

{
  "deposit_amount": [
    {
      "quantity": "text",
      "unit": "text"
    }
  ],
  "input_utxos": [
    {
      "input": {
        "output_index": 1,
        "tx_hash": "text"
      },
      "output": {
        "address": "text",
        "amount": [
          {
            "quantity": "text",
            "unit": "text"
          }
        ],
        "data_hash": "text",
        "plutus_data": "text",
        "script_hash": "text",
        "script_ref": "text"
      }
    }
  ]
}
{
  "tx_hex": "84a400818258203b40265111d8bb3c3c608d95b3a0bf83461ace32d79336579a1939b3aad1c0b700018182583900..."
}

Last updated